#pragma once

#include "common.h"
#include "editor_config.h"

namespace maps {
namespace wiki {
namespace importer {

void validateFieldType(const cfg::AttrDefPtr& attrDef, OGRFieldType fieldType);

void validateGeometry(const cfg::Category& category, const OGRGeometry* geometry);

void validateLayerSRS(OGRLayer& layer);

} // namespace importer
} // namespace wiki
} // namespace maps
